javax.swing.plaf.basic

## Class BasicOptionPaneUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicOptionPaneUI.PropertyChangeHandler

- All Implemented Interfaces:
    PropertyChangeListener, EventListener
  Enclosing class:
    BasicOptionPaneUI

      public class BasicOptionPaneUI.PropertyChangeHandler
      extends Object
      implements PropertyChangeListener

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicOptionPaneUI`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyChangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(PropertyChangeEvent e)` If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyChangeHandler

          public PropertyChangeHandler()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent e)

      If the source of the PropertyChangeEvent `e` equals the optionPane and is one of the ICON_PROPERTY, MESSAGE_PROPERTY, OPTIONS_PROPERTY or INITIAL_VALUE_PROPERTY, validateComponent is invoked.
      Specified by:
        `propertyChange` in interface `PropertyChangeListener`
      Parameters:
        `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.